Provision a one-time managed CDP relay for an isolated workflow run
Authorization
BrowserWorkflowApiKey cdp:connectX-API-Key<token>
Project- and environment-scoped browser workflow API key.
In: header
Scope: cdp:connect
Path Parameters
projectId*string
Format
uuidenvironmentId*string
Format
uuidworkflowId*string
Format
uuidHeader Parameters
Idempotency-Key?string
Optional. When omitted, the server generates a unique internal key for this submission.
Length
8 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/browser/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/environments/497f6eca-6276-4993-bfeb-53cbbbba6f08/workflows/497f6eca-6276-4993-bfeb-53cbbbba6f08/cdp-sessions" \ -H "Content-Type: application/json" \ -d '{ "workflow_version_id": "60bab57e-9f59-448d-bef4-a6fd602db8a4" }'{ "session_id": "1ffd059c-17ea-40a8-8aef-70fd0307db82", "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec", "status": "running", "expires_at": "2019-08-24T14:15:22Z", "websocket_url": "http://example.com"}